/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : February, 1997                                                 */
/* File Name : JSSPFitnessFunctionImpl.cc                                */
/*************************************************************************/
/*************************************************************************/

#include "JSSPFitnessFunction.h"
#include "JSSPChromosomes.h"
#include <FitnessFunction.h>
#include <Chromosomes.h>
#include <limits.h>
#include <intFitnessValue.h>

JSSPFitnessFunction::~JSSPFitnessFunction()
{  cout << " de allocates JSSPFitnessFunction " << endl;
}

FitnessValue * JSSPFitnessFunction::apply(Chromosomes *_or)
{  intFitnessValue *fv = new intFitnessValue(INT_MAX);
   JSSPChromosomes * curr = (JSSPChromosomes *) _or;
   
   if((*curr).isFeasible()) (*fv).setFitnessValue((float)(*curr).getMakespan());

   return fv;

}// end of apply()

